SSmicmen {stats} | R Documentation

## Self-Starting Nls Michaelis-Menten Model

### Description

This `selfStart` model evaluates the Michaelis-Menten model and its gradient. It has an `initial` attribute that will evaluate initial estimates of the parameters `Vm` and `K`

### Usage

    SSmicmen(input, Vm, K)

### Arguments

`input` | a numeric vector of values at which to evaluate the model.
`Vm` | a numeric parameter representing the maximum value of the response.
`K` | a numeric parameter representing the `input` value at which half the maximum response is attained. In the field of enzyme kinetics this is called the Michaelis parameter.

### Value

a numeric vector of the same length as `input`. It is the value of the expression `Vm*input/(K+input)`. If both the arguments `Vm` and `K` are names of objects, the gradient matrix with respect to these names is attached as an attribute named `gradient`.

### Author(s)

José Pinheiro and Douglas Bates

### See Also

`nls`, `selfStart`

### Examples

    PurTrt <- Puromycin[ Puromycin$state == "treated", ]
    SSmicmen(PurTrt$conc, 200, 0.05)  # response only
    Vm <- 200; K <- 0.05
    SSmicmen(PurTrt$conc, Vm, K)      # response and gradient
    print(getInitial(rate ~ SSmicmen(conc, Vm, K), data = PurTrt), digits = 3)
    ## Initial values are in fact the converged values
    fm1 <- nls(rate ~ SSmicmen(conc, Vm, K), data = PurTrt)
    summary(fm1)
    ## Alternative call using the subset argument
    fm2 <- nls(rate ~ SSmicmen(conc, Vm, K), data = Puromycin,
               subset = state == "treated")
    summary(fm2)

[Package stats version 3.3.2 Index]